%global npm_name options
# Although there are tests
# the dependancies aren't in Fedora yet
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       Light-weight in-code option parser for nodejs
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.0.5
Release:       2%{?dist}
Group:         System Environment/Libraries
License:       MIT
URL:           https://github.com/einaros/options.js
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(expect.js)
%endif
BuildArch:     noarch

%description
A very light-weight in-code option parser for nodejs.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib Makefile package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
make test
%endif

%files
%doc README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 0.0.5-2
- Add support for software collections

* Wed May 29 2013 Troy Dawson <tdawson@redhat.com> - 0.0.5-1
- Update to version 0.0.5

* Fri Mar 01 2013 Troy Dawson <tdawson@redhat.com> - 0.0.3-2
- Update spec to Fedora nodejs standards

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.3-1
- Initial build using tchor spec template

